<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */

get_header();?>
	<div class="page-title clearfix">
      <!-- <div class="grid_12"> -->
        <h1><?php the_title();?></h1>
      <!-- </div> -->
    </div>
    <div class="content-separator black-down content-separator-small"></div>

	<?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div id="" class="clearfix breadcrumbs">
		<ul>
            <li><a href="<?php echo get_option('home'); ?>/">Home</a></li><li class="sep"></li>
            <li><?php the_title();?></li>
        </ul>
	</div>
	<?php } ?>
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<?php 
		$custom = get_post_custom($post->ID);
		$work_involved = get_post_meta($post->ID, "work_involved", true); 
		$website_url = get_post_meta($post->ID, "website_url", true); 
		$themeteam_video_embed = get_post_meta($post->ID, "themeteam_video_embed", true);
		$full = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' , false ); 
	?>
	
		<aside class="grid_4 col-side left common-sidebar">
		<!-- Bring in the portfolio details -->
			<h2><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></h2>
			<article class="article">
				<?php the_content();?>
				<p><?php if($work_involved):?><b>Work Involved:</b> <?php echo $work_involved; ?><?php endif; ?><br/><?php if($website_url):?><a href="<?php echo $website_url; ?>"><?php echo _e('Visit site  &rarr;')?></a><?php endif; ?></p>
			</article>
		</aside>
		<div class="grid_8">
		<!-- start the gallery -->
		
			<?php if($themeteam_video_embed) { ?>
			<div class="slider">
				<div>
					<ul>
						<li>
							<div class="thumbnail magnifier">
								<a href="<?php echo $themeteam_video_embed; ?>" rel="prettyPhoto">
									<?php echo themeteam_resize(get_the_post_thumbnail_src($post->ID),'','','650','600'); ?>
								</a>
							</div>
						</li>
					</ul>
				</div>
			</div>
			<?php }else if(has_post_thumbnail()){?>
			<div class="portfolio-slider">
				<div>
					<ul>
						<li>	
							
								<?php echo themeteam_resize_portfolio(get_the_post_thumbnail_src($post->ID),'','','650','600',$post->ID); ?>
							
						</li>
						<?php
						
						$attachments = get_children
						(
							array
							(
								'post_parent' => $post->ID,
								'post_type' => 'attachment',
								'post_mime_type' => 'image'
							)
						);
						
						if (is_array($attachments) && count($attachments)):
							foreach ($attachments as $attachment):
								$full = wp_get_attachment_image_src($attachment->ID, 'full');
								?>
								<li>
									
										<?php echo themeteam_resize_portfolio(esc_attr($full[0]),'','','650','600',$post->ID); ?>
									
								</li>
								<?php
							endforeach;
			          	endif; ?>
			 	     </ul>
				</div>
			</div>
			 <?php }?>

		</div>
      	<?php endwhile; ?>					
	    <?php endif; ?>
		
<?php get_footer(); ?>
