<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */

get_header(); ?>
	<div class="page-title clearfix">
      <!-- <div class="grid_12"> -->
        <h1><?php the_title();?></h1>
      <!--</div>-->
    </div> 
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix">
		<?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
	</div>
	<?php } ?>

    <?php get_sidebar();?>
    <div class="grid_8 col-main dotted-vertical-separator big-image-listing-container fullwidth">
			  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>              
              <div class="single-post post-item">
              <h3><?php the_title(); ?></h3>
              <div class="left icons clearfix">
				<span class="date-icon"><?php the_time( get_option('date_format') ); ?></span>
				<span class="comment-icon"><?php comments_popup_link(__('0 Comments', 'themeteam'), __('1 Comment', 'themeteam'), __('% Comments', 'themeteam')); ?></span>
				<span class="categories-icon"><?php the_category(', ') ?></span>
              </div>
              <?php if (has_post_thumbnail()): ?>
              <div class="clear"></div>
                <div class="thumbnail"><?php the_post_thumbnail('thumb620x270'); ?></div>
              <?php endif ?>
              
                <article class="article">
				  <?php the_content();?>
                  <?php the_tags( '<p class="posttags"> ', ', ', '</p>'); ?>
                </article>
                <div class="clear"></div>
                <div class="about-the-author">
                  <h2>About the Author</h2>
                  <div class="thumbnail">
                      <?php echo get_avatar(get_the_author_email(),$size='60',$default=get_template_directory_uri().'/images/sample/avatar.jpg' ); ?>
                  </div>
                  <div class="prefix_1">
                    <h4><?php echo get_the_author(); ?></h4>
                    <p><?php the_author_description(); ?></p>
                  </div>
                </div>
                <?php comments_template(); ?>
        </div>
	    <?php endwhile; else: ?>
		  <p><?php _e('Sorry, no posts matched your criteria.', 'themeteam') ?></p>
        <?php endif; ?>
    </div>
<?php get_footer(); ?>
