<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */
/**
Template Name: Portfolio
*/
get_header(); ?>
	<div class="page-title clearfix">
      <div class="container_12">
        <h1><?php the_title();?></h1>
      </div>
    </div>
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix nomargin">
		<?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
	</div>
	<?php } ?>
	<aside class="grid_3 left">
		<div class="portfolio_blurb">
			<p><?php echo stripslashes(get_option('themeteam_graffiti_portfolio_area_blurb')); ?></p>
		</div>
    	<ol class="skills">
            <?php terms(get_query_var('skills')); ?>
        </ol>
	</aside>
	<div class="porfolio-container right">
        <ul id="portfolio_list">
        <?php $page = get_query_var('paged'); $args = array('post_type' => 'portfolio','skills'=>get_query_var('skills'),'paged'=> $page, 'posts_per_page'=> get_option('posts_per_page'), 'caller_get_posts' => 1 ); query_posts($args);?>
		<?php if (have_posts()):?>
		<?php while (have_posts()): the_post() ?>
		<?php 
			$custom = get_post_custom($post->ID);
			//$skills = get_the_term_list( $post->ID, 'Skills', '', ' ', '' );
			$skills = get_the_terms( $post->ID, 'skills');
			foreach( $skills as $term ) {
				$skills_as_text .= $term->slug;
				$skills_as_text .= ' ';
			}
			$year_completed = get_post_meta($post->ID, "year_completed", true); 
			$website_url = get_post_meta($post->ID, "website_url", true); 
			$themeteam_video_embed = get_post_meta($post->ID, "themeteam_video_embed", true);
			$full = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' , false ); 
		?>
        <li class="<?php echo $skills_as_text; ?>"> 
        <?php $skills_as_text = ''; ?>       
		<div class="in-portfolio">
    		<?php if($themeteam_video_embed) { ?>
				<div class="clearfix">
					<div class="thumbnail magnifier play">
						<a href="<?php echo $themeteam_video_embed; ?>" rel="prettyPhoto">
      						<?php the_post_thumbnail('thumb220x180'); ?>
      					</a>
      				</div>
  				</div>
  			<?php }else if(has_post_thumbnail()){ ?>
  				<div class="clearfix">
      				<div class="thumbnail magnifier zoom">
      					<a href="<?php echo esc_attr($full[0]); ?>" rel="prettyPhoto[pp_gal_<?php echo $post->ID ?>]">
      						<?php the_post_thumbnail('thumb220x180'); ?>
      					</a>
      					<?php
      					$attachments = get_children
						(
							array
							(
								'post_parent' => get_the_ID(),
								'post_type' => 'attachment',
								'post_status' => null,
								'numberposts' => -1,
								'post_mime_type' => 'image'
							)
						);
						
						if (is_array($attachments) && count($attachments)):
							foreach ($attachments as $attachment):
								$full = wp_get_attachment_image_src($attachment->ID, 'full') 
						?>
      							<a href="<?php echo esc_attr($full[0]) ?>" rel="prettyPhoto[pp_gal_<?php echo $post->ID ?>]"></a>
      						<?php endforeach;
      					endif; ?>
      				</div>
  				</div>
  			<?php } ?>
  			<div class="post-content">
  				<h2><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></h2>
  				<article class="article">
  					<?php the_excerpt();?>
  				</article>
  			</div>
		</div>
		</li>

      	<?php endwhile; ?>
      	</ul>
	  	<div class="grid_9">
			<div class="left nav"><?php next_posts_link('&laquo; Suite des travaux') ?></div>
			<div class="right nav"><?php previous_posts_link('retour aux travaux précédents &raquo;') ?></div>
      	</div>
      	<?php else:?>
	  	<div class="grid_9">
        	<h2><?php _e('Not Found', 'themeteam') ?></h2>
			<p><?php _e("Désolé mais il n'y a rien par ici.", "themeteam") ?></p>
      	</div>
      	<?php endif;?>
      	<div class="clear"></div>
	</div>
<?php get_footer(); ?>
